Sazabi
APIWork items

Transition a work item (deprecated)

Deprecated alias for POST /tasks/{taskId}/transition (transition a task); removed in v2.0 (2027-03-01). Move a work item to a target workflow state.

POST https://api.sazabi.com/v1/work-items/{itemId}/transition

Deprecated

POST
/work-items/{itemId}/transition

Path Parameters

itemId*string

The work item to transition.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/work-items/string/transition" \  -H "Content-Type: application/json" \  -d '{    "state": "string"  }'
{  "identifier": "string",  "title": "string",  "url": "string",  "state": "string",  "changed": true}